Package org.eclipse.draw2d

# Class MouseMotionListener.Stub

java.lang.Object
org.eclipse.draw2d.MouseMotionListener.Stub

All Implemented Interfaces:
  `MouseMotionListener`

Direct Known Subclasses:
  `ScrollBar.ThumbDragger`

Enclosing interface:
  `MouseMotionListener`

public static class MouseMotionListener.Stub extends Object implements MouseMotionListener
An empty implementation of MouseMotionListener for convenience.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.MouseMotionListener

`MouseMotionListener.Stub`

## Constructor Summary

Constructors
Constructor
Description
`Stub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseDragged(MouseEvent me)`
Called when the mouse has moved over the listened to object while a button was pressed.
`void`
`mouseEntered(MouseEvent me)`
Called when the mouse has entered the listened to object.
`void`
`mouseExited(MouseEvent me)`
Called when the mouse has exited the listened to object.
`void`
`mouseHover(MouseEvent me)`
Called when the mouse hovers over the listened to object.
`void`
`mouseMoved(MouseEvent me)`
Called when the mouse has moved over the listened to object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stub

public Stub()

## Method Details

### mouseDragged

public void mouseDragged(MouseEvent me)
Description copied from interface: `MouseMotionListener`
Called when the mouse has moved over the listened to object while a button was pressed.

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Parameters:
  `me` - The MouseEvent object
See Also:
  - `MouseMotionListener.mouseDragged(MouseEvent)`

### mouseEntered

public void mouseEntered(MouseEvent me)
Description copied from interface: `MouseMotionListener`
Called when the mouse has entered the listened to object.

Specified by:
  `mouseEntered` in interface `MouseMotionListener`
Parameters:
  `me` - The MouseEvent object
See Also:
  - `MouseMotionListener.mouseEntered(MouseEvent)`

### mouseExited

public void mouseExited(MouseEvent me)
Description copied from interface: `MouseMotionListener`
Called when the mouse has exited the listened to object.

Specified by:
  `mouseExited` in interface `MouseMotionListener`
Parameters:
  `me` - The MouseEvent object
See Also:
  - `MouseMotionListener.mouseExited(MouseEvent)`

### mouseMoved

public void mouseMoved(MouseEvent me)
Description copied from interface: `MouseMotionListener`
Called when the mouse has moved over the listened to object.

Specified by:
  `mouseMoved` in interface `MouseMotionListener`
Parameters:
  `me` - The MouseEvent object
See Also:
  - `MouseMotionListener.mouseMoved(MouseEvent)`

### mouseHover

public void mouseHover(MouseEvent me)
Description copied from interface: `MouseMotionListener`
Called when the mouse hovers over the listened to object.

Specified by:
  `mouseHover` in interface `MouseMotionListener`
Parameters:
  `me` - The MouseEvent object
See Also:
  - `MouseMotionListener.mouseHover(MouseEvent)`